{
  lib,
  pkgs,
  stable-diffusion,
  automatic-webui,
  ...
}: {
  systemd.services.stable-diffusion = {
    description = "stable diffusion + AUTOMATIC1111 ui";
    serviceConfig = {
    };
  };
  # virtualisation.oci-containers.containers = {
  #   # this is only the backend
  #   stable-diffusion = {
  #     image = "holaflenain/stable-diffusion:latest";
  #     ports = ["7860:7860"];
  #     autoStart = false;
  #   };
  # };
}
